<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-azienda-heading" jhiTranslate="shoppingonlineApp.azienda.home.createOrEditLabel">Create or edit a Azienda</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.azienda.nome" for="field_nome">Nome</label>
                    <input type="text" class="form-control" name="nome" id="field_nome"
                           formControlName="nome"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.azienda.cognome" for="field_cognome">Cognome</label>
                    <input type="text" class="form-control" name="cognome" id="field_cognome"
                           formControlName="cognome"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.azienda.agenzia" for="field_agenzia">Agenzia</label>
                    <input type="text" class="form-control" name="agenzia" id="field_agenzia"
                           formControlName="agenzia"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
